Upstream information

CVE-2022-1249 at MITRE

Description

A NULL pointer dereference flaw was found in pesign's cms_set_pw_data() function of the cms_common.c file. The function fails to handle the NULL pwdata invocation from daemon.c, which leads to an explicit NULL dereference and crash on all attempts to daemonize pesign.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
Attack Vector Local
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1198157 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 pesign Not affected
SUSE Linux Enterprise Desktop 15 SP5 pesign Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 pesign Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 pesign Not affected
SUSE Linux Enterprise Real Time 15 SP3 pesign Not affected
SUSE Linux Enterprise Server 12 SP5 pesign Not affected
SUSE Linux Enterprise Server 12-LTSS pesign Not affected
SUSE Linux Enterprise Server 15 SP5 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 pesign Not affected
SUSE Manager Proxy 4.3 pesign Not affected
SUSE Manager Retail Branch Server 4.3 pesign Not affected
SUSE Manager Server 4.3 pesign Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS pesign Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS pesign Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 pesign Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 pesign Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 pesign Not affected
SUSE Linux Enterprise Server 12 SP2-BCL pesign Not affected
SUSE Linux Enterprise Server 15 SP2 pesign Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS pesign Not affected
SUSE Linux Enterprise Server 15 SP3 pesign Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS pesign Not affected
SUSE Linux Enterprise Server 15 SP4 pesign Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS pesign Not affected
SUSE Linux Enterprise Server 15-ESPOS pesign Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 pesign Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 pesign Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 pesign Not affected
SUSE CaaS Platform 4.0 pesign Not affected
SUSE Enterprise Storage 6 pesign Not affected
SUSE Enterprise Storage 7 pesign Not affected
SUSE Linux Enterprise Desktop 12 pesign Not affected
SUSE Linux Enterprise Desktop 12 SP1 pesign Not affected
SUSE Linux Enterprise Desktop 12 SP2 pesign Not affected
SUSE Linux Enterprise Desktop 12 SP3 pesign Not affected
SUSE Linux Enterprise Desktop 12 SP4 pesign Not affected
SUSE Linux Enterprise Desktop 15 pesign Not affected
SUSE Linux Enterprise Desktop 15 SP1 pesign Not affected
SUSE Linux Enterprise Desktop 15 SP2 pesign Not affected
SUSE Linux Enterprise Desktop 15 SP3 pesign Not affected
SUSE Linux Enterprise Module for Development Tools 15 pesign Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 pesign Not affected
SUSE Linux Enterprise Real Time 15 SP2 pesign Not affected
SUSE Linux Enterprise Real Time 15 SP4 pesign Not affected
SUSE Linux Enterprise Server 11 SP3 pesign Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS pesign Not affected
SUSE Linux Enterprise Server 11 SP4 pesign Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS pesign Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS pesign Not affected
SUSE Linux Enterprise Server 12 pesign Not affected
SUSE Linux Enterprise Server 12 SP1 pesign Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS pesign Not affected
SUSE Linux Enterprise Server 12 SP2 pesign Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS pesign Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS pesign Not affected
SUSE Linux Enterprise Server 12 SP3 pesign Not affected
SUSE Linux Enterprise Server 12 SP3-BCL pesign Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS pesign Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS pesign Not affected
SUSE Linux Enterprise Server 12 SP4 pesign Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS pesign Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS pesign Not affected
SUSE Linux Enterprise Server 15 pesign Not affected
SUSE Linux Enterprise Server 15 SP1 pesign Not affected
SUSE Linux Enterprise Server 15 SP1-BCL pesign Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS pesign Not affected
SUSE Linux Enterprise Server 15 SP2-BCL pesign Not affected
SUSE Linux Enterprise Server 15 SP3-BCL pesign Not affected
SUSE Linux Enterprise Server 15-LTSS pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 pesign Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 pesign Not affected
SUSE Manager Proxy 4.0 pesign Not affected
SUSE Manager Proxy 4.1 pesign Not affected
SUSE Manager Proxy 4.2 pesign Not affected
SUSE Manager Retail Branch Server 4.0 pesign Not affected
SUSE Manager Retail Branch Server 4.1 pesign Not affected
SUSE Manager Retail Branch Server 4.2 pesign Not affected
SUSE Manager Server 4.0 pesign Not affected
SUSE Manager Server 4.1 pesign Not affected
SUSE Manager Server 4.2 pesign Not affected
SUSE OpenStack Cloud 7 pesign Not affected
SUSE OpenStack Cloud 8 pesign Not affected
SUSE OpenStack Cloud 9 pesign Not affected
SUSE OpenStack Cloud Crowbar 8 pesign Not affected
SUSE OpenStack Cloud Crowbar 9 pesign Not affected
Container Status
bci/bci-sle15-kernel-module-devel pesignNot affected


SUSE Timeline for this CVE

CVE page created: Wed Apr 6 12:00:23 2022
CVE page last modified: Thu Feb 22 17:18:54 2024